Commit b9cf2f3f authored by Rohan Budhiraja's avatar Rohan Budhiraja
Browse files

[cmake] fix dependencies

parent 26e04e00
...@@ -41,19 +41,18 @@ SETUP_PROJECT() ...@@ -41,19 +41,18 @@ SETUP_PROJECT()
# Search for dependencies. # Search for dependencies.
ADD_REQUIRED_DEPENDENCY("pinocchio") ADD_REQUIRED_DEPENDENCY("pinocchio")
ADD_OPTIONAL_DEPENDENCY("hrp2-dynamics >= 1.5.0")
ADD_OPTIONAL_DEPENDENCY("hrp2-10-optimized >= 1.0.1") ADD_OPTIONAL_DEPENDENCY("hrp2-10-optimized >= 1.0.1")
ADD_OPTIONAL_DEPENDENCY("hrp2-10 >= 1.0.1-10") ADD_OPTIONAL_DEPENDENCY("hrp2-10 >= 1.0.1-10")
ADD_OPTIONAL_DEPENDENCY("hrp2-14 >= 1.8-6") ADD_OPTIONAL_DEPENDENCY("hrp2-14 >= 1.8-6")
ADD_REQUIRED_DEPENDENCY("dynamic-graph") ADD_REQUIRED_DEPENDENCY("dynamic-graph >= 3.0.0")
ADD_REQUIRED_DEPENDENCY("sot-core") ADD_REQUIRED_DEPENDENCY("sot-core >= 3.0.0")
ADD_REQUIRED_DEPENDENCY("sot-dynamic >= 3.1") ADD_REQUIRED_DEPENDENCY("sot-dynamic >= 3.1")
ADD_REQUIRED_DEPENDENCY("dynamic-graph-python") ADD_REQUIRED_DEPENDENCY("dynamic-graph-python >= 3.0.0")
ADD_REQUIRED_DEPENDENCY("dynamic_graph_bridge_msgs") ADD_REQUIRED_DEPENDENCY("dynamic_graph_bridge_msgs")
ADD_REQUIRED_DEPENDENCY("dynamic_graph_bridge") ADD_REQUIRED_DEPENDENCY("dynamic_graph_bridge >= 3.0")
# Search for dependencies. # Search for dependencies.
# Boost # Boost
SET(BOOST_COMPONENTS filesystem system thread) SET(BOOST_COMPONENTS filesystem system thread)
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment